6.0.0-git
2019-03-20

[#6455] Spam reporting to a folder
Summary Spam reporting to a folder
Queue IMP
Queue Version Git master
Type Enhancement
State Resolved
Priority 1. Low
Owners slusarz (at) horde (dot) org
Requester jukka.huhta (at) helsinki (dot) fi
Created 2008-03-17 (4020 days ago)
Due
Updated 2010-11-09 (3053 days ago)
Assigned
Resolved 2010-11-09 (3053 days ago)
Milestone 5
Patch Yes

History
2010-11-09 03:07:45 Michael Slusarz Comment #12
State ⇒ Resolved
Reply to this comment
A post_spam hook is a more general way to implement this request.
2010-08-11 17:56:29 Chuck Hagenbuch Comment #10
State ⇒ Feedback
Reply to this comment
This isn't what was requested, at least as I understood (and would use 
it). What I want is to have the report spam button copy messages to a 
specific folder (I use a shared IMAP folder for spam - and one for 
ham, also, so the same option for "not spam").
2010-08-10 22:53:04 Michael Slusarz Comment #9
Assigned to Michael Slusarz
State ⇒ Resolved
Milestone ⇒ 5
Reply to this comment
Added to IMP 5.0.
2009-10-15 01:40:40 Chuck Hagenbuch Comment #7 Reply to this comment
That patch is something, but it includes other local changes, things 
that are specific to your setup, and as you pointed out is against an 
old version. The ticket is still accepted - if you can clean it up and 
update it for git, all the better.



Thanks!
2009-10-15 01:38:11 Chuck Hagenbuch Patch ⇒ Yes
 
2009-10-14 06:54:06 jukka (dot) huhta (at) helsinki (dot) fi Comment #6
New Attachment: hy_spamreporting.patch Download
Reply to this comment
Sure - this is marked accepted. If you have a patch for it, even
better - please submit it! That might speed things up tremendouslyl
Okay - but this patch is against an old version (webmail groupware 
edition 1.1?) and it has our own spam flag header ("HY" stands for 
Univ. of Helsinki) hardcoded though it should probably be configurable.



Anyway, you see the idea.
2009-10-14 00:03:42 Chuck Hagenbuch Comment #5
Version ⇒ Git master
Reply to this comment
Sure - this is marked accepted. If you have a patch for it, even 
better - please submit it! That might speed things up tremendouslyl
2009-10-13 10:46:12 jukka (dot) huhta (at) helsinki (dot) fi Comment #4 Reply to this comment
Not quite, actually - there's no keyboard shortcut for moving a
message, and you have to select the folder each time. I'd use this
also.
Furthermore, it's totally irrelevant for users which way their emails 
are being transferred to a spam detector. For us as admins, it's 
relevant to provide them a comfortable way for reporting emails. 
"Report as spam/innocent" works and is on production. In our setup, it 
saves messages to a dedicated global IMAP folder not visible to our 
users.



All I want is to get rid of local patches and relevant functionality, 
such as this, included in the upstream code. Any hope?


2008-03-17 15:38:49 Chuck Hagenbuch Comment #3
State ⇒ Accepted
Reply to this comment
Not quite, actually - there's no keyboard shortcut for moving a 
message, and you have to select the folder each time. I'd use this also.
2008-03-17 14:20:43 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
Why wouldn't we have something like this:
Because it's as easy to move the message to the spam folder.
2008-03-17 10:10:34 jukka (dot) huhta (at) helsinki (dot) fi Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Spam reporting to a folder
Queue ⇒ IMP
Milestone ⇒
Patch ⇒ No
Reply to this comment
It would be nice to be able to report spam/not spam messages by saving 
them to an IMAP folder.



It seems it only needs a very small patch to lib/Spam.php and a config 
option to conf.xml (if we assume one global imap folder with "insert" 
permission to "anyone" is enough).



We already have these "email", "bounce" and "program" reporting 
options. Why wouldn't we have something like this:



      <configstring name="imapsave" required="false" desc="Should we 
report the spam

      message by copying it to a IMAP folder."/>



I have a reference implementation if someone's intrested.

Saved Queries